Search documentation of bb

# BB.Error.Safety.DisarmFailed exception (bb v0.17.0)

Copy Markdown View Source

Disarm callback failed for a component.

Raised when a safety disarm callback fails to complete successfully. This indicates the hardware may be in an unsafe state and requires manual intervention.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Safety.DisarmFailed` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.DisarmFailed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      component_path: term(),
      failures: term(),
      path: term(),
      reason: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Safety.DisarmFailed` without raising it.

## Keys

- :component_path
- :reason
- :failures